Get TikTok profile region
Get the region code reported for a TikTok profile by handle.
Headers
Get your API keyAPI key (`sfk_...`)
TikTok handle to look up, with or without a leading @.
min 1 chars · max 128 chars
Endpoint-specific response payload.
Whether a TikTok profile could be resolved for the handle.
one of: found, not_found
Profile identity when the lookup resolved.
Social platform for this profile.
one of: tiktok
TikTok username without the leading @.
Canonical public TikTok profile URL.
min 1 chars
Country or region code reported for the profile when available. Null when the profile could not be resolved.
min 1 chars
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Present, and `true`, only when the source couldn't be reached and this is the last good answer for the same request instead, up to 24 hours old. Absent on every live answer.
one of: true
When a stale answer (`stale: true`) was originally fetched (ISO 8601, UTC). Absent on every live answer.
Code example
curl "https://api.socialfetch.dev/v1/tiktok/profiles/charlidamelio/region" \
-H "x-api-key: YOUR_API_KEY"Responses
TikTok profile region.